using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class RegisterUserType : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {


    }
    protected void Btn_Save_Click(object sender, EventArgs e)
    {
        Lbl_Error.Text = String.Empty;
        try
        {
            Class_tblUserTypes userType = new Class_tblUserTypes(Txt_UserType.Text.Trim());
            if (userType.UDF_CheckDuplicate() == 0)
            {
                userType.UDF_SaveAzTypeUser();
                Txt_UserType.Text = String.Empty;
                Grd_UserType.DataBind();
                Lbl_Error.Text = "نوع جدید کاربر ثبت شد";
            }
             else
            {
                Lbl_Error.Text = "نوع کاربر وارد شده تکراری است";
            }
        }
        catch
        {
            Lbl_Error.Text = "اشکالی در درج نوع جدید کاربر به وجود آمده است.";
        }
        }
    }

